-- use this command line to import
-- psql -U postgres < thunder_postgre.sql

--
-- PostgreSQL database dump
--
drop database if exists thunder;
DROP ROLE IF EXISTS thunder;

CREATE ROLE thunder PASSWORD 'thundercache' CREATEDB VALID UNTIL 'infinity' LOGIN;
create database thunder owner thunder;

\connect thunder thunder;


SET statement_timeout = 0;
SET client_encoding = 'LATIN1';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

--
-- Name: plpgsql; Type: PROCEDURAL LANGUAGE; Schema: -; Owner: -
--

CREATE PROCEDURAL LANGUAGE plpgsql;


SET search_path = public, pg_catalog;

CREATE OR REPLACE FUNCTION insert(character varying, bigint, bool, bool) RETURNS bool
    LANGUAGE plpgsql
    AS $_$
 DECLARE d record; domain_1 character varying; domainid integer; 
 BEGIN
    domain_1 = $1;
    IF $3 THEN
        domain_1 = 'static';
    END IF;
    SELECT INTO d id
    FROM thunder_domain
    WHERE domain = domain_1;
    IF not found THEN
        INSERT INTO thunder_domain(domain) values(domain_1) RETURNING id INTO d;
    END IF;
    IF $4 THEN
        UPDATE thunder_domain SET total=total+$2, cache=cache+$2 WHERE id=d.id;
    ELSE
        UPDATE thunder_domain SET total=total+$2  WHERE id=d.id;
    END IF;
    return true;
 end;  $_$;



SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: thunder_domain; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE thunder_domain (
    id integer NOT NULL,
    domain character varying(255) NOT NULL,
    total bigint DEFAULT 0 NOT NULL,
    cache bigint DEFAULT 0 NOT NULL
);


--
-- Name: thunder_domain_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE thunder_domain_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- Name: thunder_domain_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE thunder_domain_id_seq OWNED BY thunder_domain.id;


--
-- Name: thunder_domain_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('thunder_domain_id_seq', 1, true);

--
-- Name: thunder_file_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE thunder_file_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;

ALTER TABLE thunder_domain ALTER COLUMN id SET DEFAULT nextval('thunder_domain_id_seq'::regclass);

ALTER TABLE ONLY thunder_domain
    ADD CONSTRAINT pk_domain PRIMARY KEY (id);

ALTER TABLE ONLY thunder_domain
    ADD CONSTRAINT thunder_domain_name UNIQUE (domain);

INSERT into thunder_domain (domain) values('static');

--
-- PostgreSQL database dump complete
--
